Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82559 - anaconda
Summary: anaconda
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 12:25 UTC by prashant namdeo
Modified: 2007-03-27 04:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-13 17:23:30 UTC


Attachments (Terms of Use)

Description prashant namdeo 2003-01-23 12:25:44 UTC
Description of problem: It had occured during installation
after selecting packages to install.


Problem Code:

Traceback(most recent call Last);
File "/usr/lib/anaconda/gui-py", Line 786 , inhandleRenderCallback
self.currentWindow.renderCallback()
File "/usr/lib/anaconda/iw/progress-gui.py", Line 149 , inrenderCallback
self.intf.icw.nextClicked()
File "/usr/lib/anaconda/gui.py",Line 632 , innext Clicked
self.dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", Line 150 , ingotoNext
self.moveStep()
File "/usr/lib/anaconda/dispatch.py", Line 215 , inmovestep
rc=apply(func,self.bindArgs(args))
File "/usr/lib/anaconda/packages.py", Line 430 , in turnOnFilesystems
Partitions.doMetaDeletes(diskset)
File "/usr/lib/anaconda/partitions.py", Line 1110 , indoMetaDeletes
(vm.vgactivate())
File "/usr/lib/anaconda/iutil.py",
Line 66 , in execWithRedirect
childpid = os.fork()

OSError[errno 12] cannot allocate memory







Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:

This bug had ocured during installation
of Red Hat Linux 8.0

Steps :
1) Make a partition
of 518MB using microsoft's fdisk utility

2) reboot the system using Linux CD

3) Make a primary partition of +512M  using
Linux fdisk ( / partiton)

4)Make another primary partition of +300M (swap)
using red hat linux's fdisk

5) reboot the system using Microsoft fdisk

6) Make extended partition from remaining space
   using microsoft's fdisk
   
   1st logical drive = 6283M
   2nd logical drive = 6275M
   3rd logical drive = 5193M

7) reboot the system using Microsoft fdisk

7) delete 3rd logical drive using
   microsoft fdisk

9) reboot using linux CD

10) create following partitions

    /home = +900M
    /var = +384M
    /tmp = +256M
    /usr = remaining

11 ) follow steps on the screen

Now as soon as you select packages for installation
suddenly a window appears with the code written above
    
Actual results: Code window appears

when i started the installation again
the same problem occurs


Expected results:  I had installed Linux several times , but there is 
no such error and installation starts 

The actual result is that the installation should start



Additional info:

Comment 1 Michael Lee Yohe 2003-01-23 14:09:05 UTC
Reporter, check to see if your bug is a duplicate of Bug 76123.  There are
useful comments with regards to how much memory must be installed in your
machine to install Red Hat Linux 8.0.

Comment 2 Michael Fulbright 2003-02-13 17:23:30 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.